/*
 * Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
 * window bookkeeping stuff for Newton
 * Yossi Friedman, 1988
 */


#ifdef MAIN
#    define extern	/* nothing */
#endif /* MAIN */

struct window {
    int wid;
    long bot_left[2];
    long top_right[2];
    int sid;			/* -1 == main window, else slider id */
    struct window *next;
};

#ifdef MAIN
extern struct window  *windows = NULL;
#else /* MAIN */
extern struct window  *windows;
# endif /* MAIN */

extern struct window *current_window;




#ifdef MAIN
#   undef extern
#endif /* MAIN */
